Skip to main content

PUT /api/v1/internal/projects/:projectUuid/apps/:appUuid/payment-providers/stripe/accounts

Mollie is the recommended provider for new integrations. Stripe remains

available for apps that use Stripe billing. For Mollie connections, see PUT /api/v1/internal/projects/:projectUuid/apps/:appUuid/payment-providers/mollie/accounts.

Modifies an existing accounts resource.

This endpoint documentation is generated from the current Fastify route implementation and should be treated as the implementation-level contract for this version of the API.

Source route file: src/api/routes/internal/private/bearer/projects/apps/payment-providers/stripe/accounts/put.ts

Request Method​

PUT

Base URL​

https://api.userdocks.local:5000

Endpoint​

/api/v1/internal/projects/:projectUuid/apps/:appUuid/payment-providers/stripe/accounts

Path Variables​

VariableTypeRequiredDescription
projectUuidstringtruePath variable from route pattern.
appUuidstringtruePath variable from route pattern.

Query Parameters​

VariableTypeRequiredDescription
connectedstringfalseQuery parameter parsed by route handler.

HTTP Headers​

VariableTypeRequiredDescription
AuthorizationstringtrueBearer token in the form Bearer <jwt>.
Content-TypestringfalseOptional because this route does not consume a request body.

Request Body​

No request body.

Successful Response​

Success status code(s): 200.

{
"kind": "paymentProviders",
"totalItems": 1,
"itemsLength": 1,
"items": [
{
"nextAction": {
"type": "accountLink",
"url": "https://example.com/callback"
}
}
]
}

Error Responses​

HTTP StatusExample Error
401{"errors":[{"validation":"error","code":"[E4010]","message":"Unauthorized Token"}]}
403{"errors":[{"validation":"error","code":"[E4030]","message":"App Is Disabled"}]}
400{"errors":[{"validation":"error","code":"[E4000]","message":"Bad Request / validation error"}]}
500{"errors":[{"validation":"error","code":"[E0000]","message":"Internal Server Error"}]}

Example​

const query = new URLSearchParams({
connected: 'connected-value',
});
const url = `https://api.userdocks.local:5000/api/v1/internal/projects/projectUuid-value/apps/appUuid-value/payment-providers/stripe/accounts?${query.toString()}`;

const response = await fetch(url, {
method: 'PUT',
headers: {
Authorization: 'Bearer <jwt>',
},
});
const data = await response.json();
console.log(response.status, data);